<!DOCTYPE html>
<html>

<head>
  <title>Simple Pokemon browser</title>
  <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/semantic-ui/2.4.1/semantic.min.css">
  <link rel="stylesheet" type="text/css"
    href="https://cdnjs.cloudflare.com/ajax/libs/slick-carousel/1.9.0/slick.min.css" />
  <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/slick-carousel/1.9.0/slick-theme.min.css">
  <link rel="stylesheet" href="menu.css">
  <link rel="stylesheet" href="main.css">
</head>

<body class="pushable">
  <div id="sidebar" class="ui vertical sidebar menu">
    <a class="active item">Browse Pokémons</a>
    <a class="item">Search</a>
    <a class="item">Berries</a>
    <a class="item">Gyms</a>
    <a class="item">Contests</a>
    <a class="item">FAQS</a>
  </div>
  <div class="pusher">
    <div class="ui container">
      <div class="ui vertical center aligned segment">
        <div class="ui container">
          <div class="ui massive secondary pointing menu">
            <a class="toc item">
              <i class="sidebar icon"></i>
            </a>
            <a class="active item">Browse Pokémons</a>
            <a class="item">Search</a>
            <a class="item">Berries</a>
            <a class="item">Gyms</a>
            <a class="item">Contests</a>
            <a class="item">FAQS</a>
          </div>
        </div>
      </div>

      <div id="filterAccordion" class="ui styled fluid huge accordion">
        <div class="largeText title">
          <i class="dropdown icon"></i>
          Click to filter Pokémons
        </div>
        <div class="content">
          <form id="filterForm" class="ui big form">
            <div class="field">
              <label>Name</label>
              <input type="text" name="name" placeholder="Name">
            </div>
            <div class="field">
              <label>Type</label>
              <div id="filter-type" name="types" multiple="" class="ui fluid multiple search selection dropdown">
                <i class="dropdown icon"></i>
                <input type="hidden" name="types">
                <input class="search" tabindex="0">
              </div>
            </div>
            <div class="field">
              <div class="ui large checkbox">
                <input name="isDefault" type="checkbox">
                <label class=largeText>Default Pokémon</label>
              </div>
            </div>

            <div class="two fields">
              <div class="field">
                <label id="minimumWeightLabel">Minimum Weight</label>
                <input id="minimumWeightInput" type="number" name="minimumWeight">
              </div>
              <div class="field">
                <label id="maximumWeightLabel">Maximum Weight</label>
                <input id="maximumWeightInput" type="number" name="maximumWeight">
              </div>
            </div>

            <div class="rightAlligned">
              <button class="ui blue big submit button">Filter</button>
            </div>
            <div class="ui error message"></div>
          </form>

        </div>
      </div>


      <div class="ui big label" style="margin-top: 15px;">
        Pokémons:
        <div id="PokémonNumberDetail" class="detail">214</div>
      </div>

      <div class="ui huge vertical segment">
        <p></p>
      </div>

      <div id="noResultsMessage" class="ui warning big hidden message" style="margin-top: 15px;">
        No results found
      </div>

      <div class="ui cards" id="cards">
      </div>

      <div class="ui large modal" id="modal">
        <div id="moodalHeader" class="header">Header</div>
        <div class="content">
          <div class="description">
            <div class="sprite-images">
              <div><img class="ui image pokeballImage" src="resources/pokeball.png"></div>
              <div><img class="ui image pokeballImage" src="resources/pokeball.png"></div>
              <div><img class="ui image pokeballImage" src="resources/pokeball.png"></div>
            </div>
            <div class="ui celled huge list">
              <div class="item">
                <div class="content">
                  <div class="header">weight</div>
                  <p id="weightContent">100</p>
                </div>
              </div>
              <div class="item">
                <div class="content">
                  <div class="header">base exp</div>
                  <p id="baseExpContent">100 </p>
                </div>
              </div>
              <div class="item">
                <div class="content">
                  <div class="header">Stats</div>

                  <div class="ui celled huge list">
                    <div class="item">
                      <div class="content">
                        <div class="ui orange progress" data-total="100" id="speedBar">
                          <div class="bar"></div>
                          <div class="label">Speed</div>
                        </div>
                      </div>
                    </div>

                    <div class="item">
                      <div class="content">
                        <div class="ui red progress" data-total="100" id="attackBar">
                          <div class="bar"></div>
                          <div class="label">Attack</div>
                        </div>
                      </div>
                    </div>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
      <div class="ui basic segment">
        <div id="paginationMenu" class="ui pagination menu">
          <a class="icon item" id="previousPageArrow">
            <i class="left chevron icon"></i>
          </a>

          <a class="item" id="firstPage">
            1
          </a>
          <a class="item" id="lastPage">
            -1
          </a>
          <a class="icon item" id="nextPageArrow">
            <i class="right chevron icon"></i>
          </a>
        </div>
      </div>
    </div>

  </div>
  </div>


  <script type="text/javascript" src="resources/pokemonsdata.js"></script>
  <script type="text/javascript" src="pokemonService.js"></script>
  <script src=https://cdnjs.cloudflare.com/ajax/libs/axios/0.19.2/axios.js> </script> <script
    src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.4.1/jquery.min.js"></script>
  <script src="https://cdnjs.cloudflare.com/ajax/libs/semantic-ui/2.4.1/semantic.min.js"></script>
  <script src="https://unpkg.com/imagesloaded@4/imagesloaded.pkgd.min.js"></script>
  <script type="text/javascript"
    src="https://cdnjs.cloudflare.com/ajax/libs/slick-carousel/1.9.0/slick.min.js"></script>
  <script src="logic.js"></script>
  <script src="main.js"></script>
</body>

</html>